Add an item to a receivement
Add an item to a receivement.
Required permissions: RECEIVEMENT
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to a receivement of a purchase order.
^[A-Za-z0-9-_]+If you need to receive more than one quantity for items that required serialnumber you need to add one line for each serialnumber.
Example: You are going to receive 3 stk of purchaseorderItemUid 33, then you need to add 3 ReceivementItemCreate lines with quantity 1 and the serialnumber for each item.
External reference to receivement line
^[A-Za-z0-9-_]+The unit cost price in local currency
^[A-Za-z0-9-_]+Example response
External reference to receivement line
^[A-Za-z0-9-_]+Deprecated: Use unitcost instead
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]*The display name of the user that made the receivement
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 200
{
"externalId": "text",
"purchaseOrderItemUid": "text",
"quantity": 1,
"serialnumber": "text",
"unitCost": 1,
"note": "text",
"reservations": [
{
"orderUid": "text",
"orderItemUid": "text"
}
],
"receivementItemUid": "text"
}Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"externalId": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text"
},
"purchaseOrderItemUid": "text",
"quantity": 1,
"unitCost": 1,
"receivementItemUid": "text",
"serialnumber": "text",
"status": "text",
"note": "text",
"tenantUserUid": "text",
"tenantUserDisplayName": "text",
"reservations": [
{
"orderUid": "text",
"orderItemUid": "text",
"orderNumber": "text",
"quantity": 1,
"reservationType": "NONE"
}
]
}Last updated
Was this helpful?

